package com.ssj.service.weixin.library.dto.out;

import com.google.common.collect.Lists;
import com.ssj.bean.common.framework.core.domain.BaseRequest;

import java.util.List;

public class LibRankingDto extends BaseRequest {

    private LibRankingOutDto rankingVO = new LibRankingOutDto();

    private int pages;

    List<LibRankingOutDto> rankingList = Lists.newArrayList();


    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public LibRankingOutDto getRankingVO() {
        return rankingVO;
    }

    public void setRankingVO(LibRankingOutDto rankingVO) {
        this.rankingVO = rankingVO;
    }

    public List<LibRankingOutDto> getRankingList() {
        return rankingList;
    }

    public void setRankingList(List<LibRankingOutDto> rankingList) {
        this.rankingList = rankingList;
    }
}
